org.apache.lucene.analysis.util

## Interface ResourceLoaderAware

- All Known Implementing Classes:
    CollationKeyFilterFactory, CommonGramsFilterFactory, CommonGramsQueryFilterFactory, DelimitedPayloadTokenFilterFactory, DictionaryCompoundWordTokenFilterFactory, ElisionFilterFactory, HunspellStemFilterFactory, HyphenationCompoundWordTokenFilterFactory, KeepWordFilterFactory, KeywordMarkerFilterFactory, MappingCharFilterFactory, SnowballPorterFilterFactory, StemmerOverrideFilterFactory, StopFilterFactory, SynonymFilterFactory, TypeTokenFilterFactory, WordDelimiterFilterFactory

      public interface ResourceLoaderAware

  Interface for a component that needs to be initialized by an implementation of `ResourceLoader`.
  See Also:
    `ResourceLoader`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `inform(ResourceLoader loader)` Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).

- - ### Method Detail

    - #### inform

          void inform(ResourceLoader loader)
                      throws IOException

      Initializes this component with the provided ResourceLoader (used for loading classes, files, etc).
      Throws:
        `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.